import { BaseOpenApiV3_1ConverterNode, } from "../../../BaseOpenApiV3_1Converter.node";
import { extendType } from "../../../utils/extendType";
import { X_FERN_HEADER_NAME } from "../fernExtension.consts";
export class XFernHeaderVariableNameConverterNode extends BaseOpenApiV3_1ConverterNode {
    headerVariableName;
    constructor(args) {
        super(args);
        this.safeParse();
    }
    parse() {
        this.headerVariableName =
            extendType(this.input)[X_FERN_HEADER_NAME];
    }
    convert() {
        return this.headerVariableName;
    }
}
